require "defines"
require "util"
script.on_event(defines.events.on_tick, function(event)
		if (game.tick % 625) == 0 then
			damage_solar()
		end
end)

script.on_event(defines.events.on_built_entity, function(event)
   if event.created_entity.name == "solar-panel" then   
      local solar = event.created_entity
      table.insert(global.solar, solar)
   end
end)

script.on_event(defines.events.on_robot_built_entity, function(event)
   if event.created_entity.name == "solar-panel" then   
      local solar = event.created_entity
      table.insert(global.solar, solar)
   end
end)

function damage_solar()
   if global.solar ~= nil then
      for k,solar in pairs(global.solar) do
         if solar.valid then
			solar.damage(1, "player")
         else
            table.remove(global.solar, k)
         end
      end
   end
end

function init()
   if global.solar == nil then
      global.solar = {}
   end
   if global.solardamage == nil or global.solardamage == 0 then
      global.solardamage = -1
   end
end
script.on_event(defines.events.on_player_created, function(event)
  local player = game.get_player(event.player_index)
  player.insert{name="iron-plate", count=47}
  player.insert{name="copper-plate", count=25}
  player.insert{name="gun-turret", count=4}
  player.insert{name="basic-bullet-magazine", count=40}
  player.insert{name="burner-mining-drill", count = 4}
  player.insert{name="stone-furnace", count = 4}
  player.insert{name="alien-artifact", count = 1}
  player.insert{name="railgun-dart", count = 1}
  player.insert{name="pollution-module", count = 1}
end)
script.on_init(init)
script.on_load(init)