data.raw.furnace["steel-furnace"].crafting_categories = "dummy"
data:extend(
{
  {
    type = "recipe",
    name = "steel-furnace2",
    ingredients = {{"iron-plate", 8}, {"stone-brick", 25}},
    result = "steel-furnace2",
    enabled = false
  },
  {
    type = "recipe",
    name = "silicon",
    ingredients = {{"stone-brick", 5}, {"coal", 4}},
    result = "silicon",
	category = "advanced-smelting",
    energy_required = 25,
  },
  {
    type = "recipe",
    name = "improved-mining-drill",
    ingredients = {{"basic-mining-drill", 1}, {"advanced-circuit", 6}, {"steel-plate", 10}},
    result = "improved-mining-drill",
	enabled = false
  },
  {
    type = "recipe",
    name = "advanced-mining-drill",
    ingredients = {{"improved-mining-drill", 1}, {"processing-unit", 4}, {"advanced-circuit", 16}, {"copper-plate", 15}},
    result = "advanced-mining-drill",
	enabled = false
  },
  {
    type = "recipe",
    name = "improved-boiler",
    ingredients = {{"boiler", 1}, {"pipe", 10}, {"advanced-circuit", 8}},
    result = "improved-boiler",
	enabled = false
  },
  {
    type = "recipe",
    name = "advanced-boiler",
    ingredients = {{"improved-boiler", 1}, {"advanced-circuit", 6}, {"processing-unit", 3}, {"steel-plate", 8}},
    result = "advanced-boiler",
	enabled = false
  },
  {
    type = "recipe",
    name = "advanced-steam-engine",
    ingredients = {{"steam-engine", 1}, {"advanced-circuit", 12}, {"electronic-circuit", 16}, {"steel-plate", 10}},
    result = "advanced-steam-engine",
	enabled = false
  },
  {
    type = "recipe",
    name = "advanced-oil-refinery",
    ingredients =
    {
      {"oil-refinery", 1},
      {"effectivity-module-2", 2},
      {"advanced-circuit", 8},
	  {"steel-plate", 16},
    },
    result = "advanced-oil-refinery",
    enabled = false
  },
  {
    type = "recipe",
    name = "advanced-chemical-plant",
    enabled = false,
    ingredients =
    {
      {"chemical-plant", 1},
      {"effectivity-module-2", 2},
      {"advanced-circuit", 8},
	  {"plastic-bar", 16},
    },
    result= "advanced-chemical-plant"
  },
  {
    type = "recipe",
    name = "assembling-machine-4",
    enabled = false,
    ingredients =
    {
      {"effectivity-module-2", 2},
      {"assembling-machine-3", 1}
    },
    result = "assembling-machine-4"
  },
  {
    type = "recipe",
    name = "assault-rifle",
    enabled = false,
    energy_required = 3,
    ingredients =
    {
      {"iron-gear-wheel", 5},
      {"plastic-bar", 15},
      {"steel-plate", 10}
    },
    result = "assault-rifle"
  },
  {
    type = "recipe",
    name = "concrete-wall",
    enabled = false,
    ingredients = {{"stone-wall", 1}, {"concrete", 2}},
    result = "concrete-wall"
  },
  {
    type = "recipe",
    name = "pollution-module",
    enabled = false,
    ingredients =
    {
      {"advanced-circuit", 5},
      {"electronic-circuit", 5}
    },
    energy_required = 15,
    result = "pollution-module"
  },
  {
    type = "recipe",
    name = "pollution-module-2",
    enabled = false,
    ingredients =
    {
      {"pollution-module", 4},
      {"advanced-circuit", 4},
      {"processing-unit", 4}
    },
    energy_required = 30,
    result = "pollution-module-2"
  },
  {
    type = "recipe",
    name = "pollution-module-3",
    enabled = false,
    ingredients =
    {
      {"pollution-module-2", 4},
      {"advanced-circuit", 4},
      {"processing-unit", 4},
	  {"alien-artifact", 3}
    },
    energy_required = 60,
    result = "pollution-module-3"
  },
  {
    type = "recipe",
    name = "biofuel",
    enabled = true,
    ingredients =
    {
      {"raw-wood", 5}
    },
	icon = "__vanillaplus__/graphics/icons/biofuel.png",
    energy_required = 10,
    results=
    {
      {type="item", name="solid-fuel", amount=2}
    },
  }
})