data.raw.ammo["piercing-bullet-magazine"].ammo_type.action.action_delivery.target_effects = {{type = "damage", damage = { amount = 8 , type = "physical"}}}
data.raw.ammo["basic-bullet-magazine"].ammo_type.action[1].action_delivery[1].target_effects = {{type = "damage", damage = { amount = 5 , type = "physical"}}}
data.raw.ammo["shotgun-shell"].magazine_size = 5
data.raw.ammo["piercing-shotgun-shell"].magazine_size = 5

data.raw.ammo["basic-bullet-magazine"].magazine_size = 30
data.raw.ammo["piercing-bullet-magazine"].magazine_size = 30
data.raw.ammo["basic-bullet-magazine"].stack_size = 50
data.raw.ammo["piercing-bullet-magazine"].stack_size = 50

data.raw.ammo["railgun-dart"].magazine_size = 4
data.raw.ammo["railgun-dart"].ammo_type =
    {
      category = "railgun",
      target_type = "direction",
      action =
      {
        type = "line",
        range = 25,
        width = 5,

        source_effects =
        {
          type = "create-explosion",
          entity_name = "railgun-beam"
        },
        action_delivery =
        {
          type = "instant",
          target_effects =
          {
            type = "damage",
            damage = { amount = 115, type="laser"}
          }
        }
      }
    }

data.raw.projectile["cannon-projectile"].collision_box = {{-5, -1.1}, {5, 1.1}}
data.raw.projectile["cannon-projectile"].piercing_damage = 1000
data.raw.projectile["cannon-projectile"].action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          {
            type = "damage",
            damage = { amount = 900 , type = "physical"}
          },
          {
            type = "damage",
            damage = { amount = 100 , type = "explosion"}
          }
        }
      }
    }
data.raw.projectile["explosive-cannon-projectile"].piercing_damage = 200
data.raw.projectile["explosive-cannon-projectile"].action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          {
            type = "damage",
            damage = { amount = 100, type = "physical"}
          }
        }
      }
    }
data.raw.projectile["explosive-cannon-projectile"].final_action.action_delivery.target_effects =
        {
          {
            type = "create-entity",
            entity_name = "big-explosion",
            check_buildability = true
          },
          {
            type = "nested-result",
            action =
            {
              type = "area",
              perimeter = 1,
              action_delivery =
              {
                type = "instant",
                target_effects =
                {
                  {
                    type = "damage",
                    damage = {amount = 400, type = "explosion"}
                  },
                  {
                    type = "create-entity",
                    entity_name = "explosion"
                  }
                }
              }
            }
          }
        }
data.raw["land-mine"]["land-mine"].action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        source_effects =
        {
          {
            type = "nested-result",
            affects_target = true,
            action =
            {
              type = "area",
              perimeter = 6,
              collision_mask = { "player-layer" },
              action_delivery =
              {
                type = "instant",
                target_effects =
                {
                  type = "damage",
                  damage = { amount = 450, type = "physical"}
                }
              }
            },
          },
          {
            type = "create-entity",
            entity_name = "explosion"
          },
          {
            type = "damage",
            damage = { amount = 1000, type = "physical"}
          }
        }
      }
    }
data.raw.projectile["rocket"].acceleration = 0.025
data.raw.projectile["rocket"].action.action_delivery.target_effects =
        {
          {
            type = "create-entity",
            entity_name = "explosion"
          },
          {
            type = "damage",
            damage = {amount = 75, type = "explosion"}
          },
          {
            type = "create-entity",
            entity_name = "small-scorchmark",
            check_buildability = true
          }
        }
data.raw.projectile["explosive-rocket"].acceleration = 0.015
data.raw.projectile["explosive-rocket"].action.action_delivery.target_effects =
        {
          {
            type = "create-entity",
            entity_name = "explosion"
          },
          {
            type = "nested-result",
            action =
            {
              type = "area",
              perimeter = 12,
              action_delivery =
              {
                type = "instant",
                target_effects =
                {
                  {
                    type = "damage",
                    damage = {amount = 45, type = "physical"}
                  },
                  {
                    type = "create-entity",
                    entity_name = "explosion"
                  }
                }
              }
            },
          }
        }
data.raw.projectile["defender-capsule"].action.action_delivery.target_effects =
        {
          {
            type = "create-entity",
            show_in_tooltip = true,
            entity_name = "defender",
            offsets = {{-0.7, -0.7},{-0.7, 0.7},{0.7, -0.7},{0.7, 0.7}}
          }
        }
data.raw.projectile["distractor-capsule"].action.action_delivery.target_effects =
        {
          {
            type = "create-entity",
            show_in_tooltip = true,
            entity_name = "distractor",
            offsets = {{-0.7, -0.7},{-0.7, 0.7},{0.7, -0.7},{0.7, 0.7}}
          }
        }
data.raw.projectile["destroyer-capsule"].action.action_delivery.target_effects =
        {
          {
            type = "create-entity",
            show_in_tooltip = true,
            entity_name = "destroyer",
            offsets = {{-0.7, -0.7},{-0.7, 0.7},{0.7, -0.7},{0.7, 0.7}}
          }
        }
data.raw["combat-robot"]["distractor"].follows_player = true
data.raw["combat-robot"]["destroyer"].follows_player = false
data.raw["combat-robot"]["distractor"].range_from_player = 6.0
data.raw["combat-robot"]["destroyer"].range_from_player = nil
data.raw["combat-robot"]["destroyer"].speed = 0
data.raw["combat-robot"]["distractor"].speed = 0.1
data.raw["combat-robot"]["distractor"].friction = 0.1
data.raw["combat-robot"]["defender"].max_health = 150
data.raw["combat-robot"]["distractor"].max_health = 150
data.raw["combat-robot"]["destroyer"].max_health = 300
--data.raw["combat-robot"]["defender"].time_to_live = 60 * 45
--data.raw["combat-robot"]["distractor"].time_to_live = 60 * 45
--data.raw["combat-robot"]["destroyer"].time_to_live = 60 * 45