data.raw.unit["small-biter"].max_health = 30
data.raw.unit["medium-biter"].max_health = 80
data.raw.unit["big-biter"].max_health = 350
data.raw.unit["behemoth-biter"].max_health = 800
data.raw.unit["small-spitter"].max_health = 20
data.raw.unit["medium-spitter"].max_health = 60
data.raw.unit["big-spitter"].max_health = 300
data.raw.unit["behemoth-spitter"].max_health = 600

data.raw.unit["big-biter"].attack_parameters.ammo_type = make_unit_melee_ammo_type(25)
data.raw.unit["behemoth-biter"].attack_parameters.ammo_type = make_unit_melee_ammo_type(60)

data.raw.unit["small-biter"].pollution_to_join_attack = 360*1.20
data.raw.unit["medium-biter"].pollution_to_join_attack = 960*1.10
data.raw.unit["big-biter"].pollution_to_join_attack = 4200
data.raw.unit["behemoth-biter"].pollution_to_join_attack = 9600*0.9
data.raw.unit["small-spitter"].pollution_to_join_attack = 300*1.2
data.raw.unit["medium-spitter"].pollution_to_join_attack = 900*1.1
data.raw.unit["big-spitter"].pollution_to_join_attack = 4500
data.raw.unit["behemoth-spitter"].pollution_to_join_attack = 9000*0.9

data.raw.unit["small-spitter"].resistances = {{type = "laser", percent = 20}, {type = "fire", percent = -100}}
data.raw.unit["medium-spitter"].resistances = {{type = "laser", percent = 25}, {type = "fire", percent = -100}}
data.raw.unit["big-spitter"].resistances = {{type = "laser", percent = 30}, {type = "fire", percent = -100}}
data.raw.unit["behemoth-spitter"].resistances = {{type = "laser", percent = 35}, {type = "fire", percent = -100}}

data.raw.unit["small-biter"].resistances = {{type = "physical", percent = 10}, {type = "fire", percent = -100}}
data.raw.unit["medium-biter"].resistances = {{type = "physical", percent = 15}, {type = "fire", percent = -100}}
data.raw.unit["big-biter"].resistances = {{type = "physical", percent = 20}, {type = "fire", percent = -100}}
data.raw.unit["behemoth-biter"].resistances = {{type = "physical", percent = 25}, {type = "fire", percent = -100}}

data.raw.unit["small-spitter"].attack_parameters = spitterattackparameters({range=7,
                                                 cooldown=100,
                                                 damage_modifier=1,
                                                 scale=smallspitterscale,
                                                 tint=smallspittertint,
                                                 roarvolume=0.7})
data.raw.unit["medium-spitter"].attack_parameters = spitterattackparameters({range=7,
                                                 cooldown=100,
                                                 damage_modifier=2,
                                                 scale=mediumspitterscale,
                                                 tint=mediumspittertint,
                                                 roarvolume=0.85})
data.raw.unit["big-spitter"].attack_parameters = spitterattackparameters({range=7,
                                                 cooldown=100,
                                                 damage_modifier=3,
                                                 scale=bigspitterscale,
                                                 tint=bigspittertint,
                                                 roarvolume=0.95})
data.raw.unit["behemoth-spitter"].attack_parameters = spitterattackparameters({range=7,
                                                 cooldown=100,
                                                 damage_modifier=5,
                                                 scale=behemothspitterscale,
                                                 tint=behemothspittertint})