data.raw.generator["steam-engine"].effectivity = 0.38
data.raw.generator["steam-engine"].fluid_usage_per_tick = 1.5/60
data.raw.generator["steam-engine"].fast_replaceable_group = "steam-engine"
data.raw.player["player"].running_speed = 0.15*1.15
data.raw.boiler["boiler"].burner.effectivity = 0.90
data.raw.boiler["boiler"].burner.emissions = 11/1750
data.raw.boiler["boiler"].energy_consumption = "1750kW"
data.raw["offshore-pump"]["offshore-pump"].pumping_speed = 30/60
data.raw.furnace["stone-furnace"].energy_usage = "250kW"
data.raw["mining-drill"]["pumpjack"].energy_usage = "100kW"
data.raw.lab["lab"].energy_usage = "150kW"
data.raw.furnace["stone-furnace"].energy_source.emissions = 2/250
data.raw.pump["small-pump"].energy_usage = "200W"
data.raw.explosion["railgun-beam"].animations =
    {
      {
        filename = "__vanillaplus__/graphics/entity/blue-beam.png",
        priority = "extra-high",
        width = 187,
        height = 1,
        frame_count = 6,
      }
    }

---beacon energy consumption halved because of weaker modules
data.raw.beacon["basic-beacon"].energy_usage = "240kW"
data.raw.accumulator["basic-accumulator"].energy_source =
    {
      type = "electric",
      buffer_capacity = "100MJ",
      usage_priority = "terciary",
      input_flow_limit = "5000kW",
      output_flow_limit = "20000kW"
    }
data.raw["electric-turret"]["laser-turret"].attack_parameters.range = 27
data.raw["electric-turret"]["laser-turret"].attack_parameters.ammo_type.energy_consumption = "15000kJ"
data.raw["electric-turret"]["laser-turret"].energy_source.buffer_capacity = "15001kJ"
data.raw["electric-turret"]["laser-turret"].energy_source.input_flow_limit = "120000kW"
data.raw["electric-turret"]["laser-turret"].energy_source.drain = "0kW"

data.raw["ammo-turret"]["gun-turret"].max_health = 1000
data.raw["ammo-turret"]["gun-turret"].attack_parameters.cooldown = 12
data.raw["ammo-turret"]["gun-turret"].attack_parameters.range = 21
data.raw["ammo-turret"]["gun-turret"].attack_parameters.damage_modifier = 1
data.raw["ammo-turret"]["gun-turret"].resistances =
    {
      {
        type = "physical",
        percent = 35
      },
      {
        type = "acid",
        percent = 35
      }
    }
data.raw["solar-panel"]["solar-panel"].max_health = 400
data.raw["solar-panel"]["solar-panel"].production = "345kW"
data.raw["solar-panel"]["solar-panel"].flags = {"placeable-player", "not-repairable"}
data.raw["solar-panel"]["solar-panel"].minable = {hardness = 0.2, mining_time = 5, result = "solar-panel", count = 0}

data.raw["solar-panel-equipment"]["solar-panel-equipment"].power = "8kW"
data.raw.radar["radar"].energy_per_sector = "1750KJ"
data.raw.radar["radar"].energy_per_nearby_scan = "45kJ"
data.raw["rocket-silo"]["rocket-silo"].energy_usage = "8MW"
data.raw.car["tank"].guns = { "tank-cannon", "tank-cannon", "tank-machine-gun" }
data.raw.car["tank"].resistances =
    {
      {
        type = "physical",
        decrease = 15,
        percent = 75
      },
      {
        type = "impact",
        decrease = 50,
        percent = 50
      },
      {
        type = "acid",
        decrease = 10,
        percent = 70
      }
    }
data.raw["combat-robot"]["defender"].attack_parameters.ammo_type.action.action_delivery =
          {
            type = "instant",
            source_effects =
            {
              type = "create-explosion",
              entity_name = "explosion-gunshot-small"
            },
            target_effects =
            {
              {
                type = "create-entity",
                entity_name = "explosion-hit"
              },
              {
                type = "damage",
                damage = { amount = 6.5 , type = "physical"}
              }
            }
			}
data.raw["combat-robot"]["distractor"].attack_parameters =
    {
      type = "projectile",
      ammo_category = "combat-robot-laser",
      cooldown = 20,
      damage_modifier = 3,
      projectile_center = {0, 0},
      projectile_creation_distance = 0.6,
      range = 18,
      sound = make_laser_sounds(),
      ammo_type =
      {
        category = "combat-robot-laser",
        action =
        {
          type = "direct",
          action_delivery =
          {
            type = "projectile",
            projectile = "laser",
            starting_speed = 0.3
          }
        }
      }
    }
data.raw.gate["gate"].max_health = 500
data.raw.gate["gate"].resistances =
    {
      {
        type = "physical",
        decrease = 3,
        percent = 35
      },
	  {
        type = "acid",
        decrease = 10,
        percent = 25
      },
      {
        type = "impact",
        decrease = 45,
        percent = 60
      },
      {
        type = "explosion",
        decrease = 10,
        percent = 30
      },
      {
        type = "fire",
        percent = 100
      }
    }
data.raw.wall["stone-wall"].resistances =
    {
      {
        type = "physical",
        decrease = 3,
        percent = 20
      },
      {
        type = "impact",
        decrease = 45,
        percent = 60
      },
      {
        type = "explosion",
        decrease = 10,
        percent = 30
      },
      {
        type = "fire",
        percent = 100
      }
    }