data.raw.recipe["steel-plate"].category = "advanced-smelting"
data.raw.recipe["steel-plate"].ingredients = {{"iron-plate", 4}, {"coal", 2}}
data.raw.recipe["steel-plate"].energy_required = 30
data.raw.recipe["piercing-bullet-magazine"].ingredients = {{"steel-plate", 2}, {"copper-plate", 6}}
data.raw.recipe["basic-bullet-magazine"].ingredients = {{"iron-plate", 12}}
data.raw.recipe["piercing-bullet-magazine"].energy_required = 9
data.raw.recipe["basic-bullet-magazine"].energy_required = 6
data.raw.recipe["satellite"].ingredients =
    {
      {"low-density-structure", 100},
      {"solar-panel", 50},
      {"basic-accumulator", 5},
      {"radar", 5},
      {"processing-unit", 100},
      {"rocket-fuel", 50}
    }
data.raw.recipe["plastic-bar"].ingredients =
    {
      {type="fluid", name="petroleum-gas", amount=2},
      {type="item", name="coal", amount=2}
    }
data.raw.recipe["plastic-bar"].energy_required = 4
data.raw.recipe["plastic-bar"].results=
    {
      {type="item", name="plastic-bar", amount=2}
    }
data.raw.recipe["small-lamp"].ingredients =
    {
      {"electronic-circuit", 1},
      {"iron-stick", 3},
      {"iron-plate", 1},
	  {"silicon", 1}
    }
--fuel-cube-rebalance

data.raw.recipe["solid-fuel-from-light-oil"].energy_required = 2
data.raw.recipe["solid-fuel-from-petroleum-gas"].energy_required = 4
data.raw.recipe["solid-fuel-from-petroleum-gas"].ingredients =
    {
      {type="fluid", name="petroleum-gas", amount=3}
    }
data.raw.recipe["solid-fuel-from-petroleum-gas"].results=
    {
      {type="item", name="solid-fuel", amount=2}
    }
data.raw.recipe["solid-fuel-from-heavy-oil"].energy_required = 4
data.raw.recipe["solid-fuel-from-heavy-oil"].ingredients =
    {
      {type="fluid", name="heavy-oil", amount=3}
    }
data.raw.recipe["solid-fuel-from-heavy-oil"].results=
    {
      {type="item", name="solid-fuel", amount=2}
    }

data.raw.recipe["basic-accumulator"].ingredients =
    {
      {"iron-plate", 5},
      {"electronic-circuit", 10},
      {"battery", 100}
    }
data.raw.recipe["battery"].ingredients =
    {
      {type="fluid", name="sulfuric-acid", amount=1},
      {"iron-plate", 1},
      {"copper-plate", 2}
    }
data.raw.recipe["laser-turret"].energy_required = 0.5
data.raw.recipe["laser-turret"].ingredients =
    {
      {"steel-plate", 20},
      {"electronic-circuit", 20},
      {"battery", 15}
    }
data.raw.recipe["gun-turret"].energy_required = 0.5
data.raw.recipe["gun-turret"].ingredients =
    {
      {"iron-gear-wheel", 10},
      {"copper-plate", 10},
      {"steel-plate", 20}
    }
data.raw.recipe["solar-panel"].ingredients =
    {
      {"steel-plate", 1},
      {"electronic-circuit", 5},
      {"copper-cable", 3},
      {"silicon", 7}
    }
data.raw.recipe["solar-panel-equipment"].ingredients =
    {
      {"solar-panel", 3},
      {"processing-unit", 3},
      {"steel-plate", 5},
	  {"alien-artifact", 2}
    }
data.raw.recipe["straight-rail"].ingredients =
    {
      {"stone-brick", 1},
      {"iron-stick", 1},
      {"steel-plate", 1}
    }
data.raw.recipe["curved-rail"].ingredients =
    {
      {"stone-brick", 4},
      {"iron-stick", 4},
      {"steel-plate", 4}
    }
data.raw.recipe["rocket-part"].energy_required = 30
data.raw.recipe["radar"].ingredients =
    {
      {"electronic-circuit", 30},
      {"iron-gear-wheel", 25},
      {"steel-plate", 10}
    }
data.raw.recipe["power-armor-mk2"].ingredients = {{"power-armor", 1},{ "effectivity-module-3", 5}, {"speed-module-3", 5}, {"processing-unit", 40}, {"steel-plate", 40}, {"alien-artifact", 50}}
data.raw.recipe["basic-modular-armor"].ingredients = {{"plastic-bar", 100}, {"heavy-armor", 1}, {"advanced-circuit", 10}}
data.raw.recipe["land-mine"].ingredients =
    {
      {"steel-plate", 2},
      {"explosives", 10}
    }
data.raw.recipe["rocket"].ingredients =
    {
      {"electronic-circuit", 1},
      {"explosives", 3},
      {"steel-plate", 1}
    }
data.raw.recipe["explosive-rocket"].ingredients =
    {
      {"electronic-circuit", 1},
      {"explosives", 5},
      {"iron-plate", 1}
    }
data.raw.recipe["flame-thrower-ammo"].ingredients =
    {
      {type="item", name="steel-plate", amount=1},
      {type="fluid", name="light-oil", amount=10},
      {type="fluid", name="heavy-oil", amount=15}
    }
data.raw.recipe["piercing-shotgun-shell"].ingredients = {{"steel-plate", 2}, {"copper-plate", 3}}
data.raw.recipe["piercing-shotgun-shell"].energy_required = 8
data.raw.recipe["shotgun-shell"].ingredients = {{"iron-plate", 7}, {"copper-plate", 4}}
data.raw.recipe["shotgun-shell"].energy_required = 6
data.raw.recipe["cannon-shell"].ingredients =
    {
      {"steel-plate", 3},
      {"plastic-bar", 3},
      {"explosives", 2},
    }
data.raw.recipe["explosive-cannon-shell"].ingredients =
    {
      {"iron-plate", 3},
      {"plastic-bar", 3},
      {"explosives", 15},
    }
data.raw.recipe["defender-capsule"].energy_required = 60
data.raw.recipe["defender-capsule"].ingredients =
    {
      {"flying-robot-frame", 4},
      {"processing-unit", 4},
      {"advanced-circuit", 8},
	  {"piercing-bullet-magazine", 8}
    }
data.raw.recipe["distractor-capsule"].energy_required = 60
data.raw.recipe["distractor-capsule"].ingredients =
    {
      {"flying-robot-frame", 4},
      {"processing-unit", 4},
      {"advanced-circuit", 8},
	  {"battery", 30}
    }
data.raw.recipe["destroyer-capsule"].energy_required = 60
data.raw.recipe["destroyer-capsule"].ingredients =
    {
      {"flying-robot-frame", 4},
      {"processing-unit", 4},
      {"advanced-circuit", 8},
	  {"steel-plate", 4},
	  {"alien-artifact", 4}
    }
data.raw.recipe["gate"].ingredients =
    {
      {"steel-plate", 3},
      {"electronic-circuit", 2},
    }
data.raw.recipe["oil-refinery"].energy_required = 0.5
data.raw.recipe["chemical-plant"].energy_required = 0.5
data.raw.recipe["pumpjack"].energy_required = 0.5
data.raw.recipe["basic-mining-drill"].energy_required = 0.5
data.raw.recipe["electric-furnace"].energy_required = 0.5
data.raw.recipe["burner-mining-drill"].energy_required = 0.5
data.raw.recipe["lab"].energy_required = 0.5
data.raw.recipe["basic-accumulator"].energy_required = 0.5
data.raw.recipe["basic-beacon"].energy_required = 0.5
data.raw.recipe["speed-module-2"].ingredients = {{"speed-module", 4}, {"processing-unit", 4}, {"advanced-circuit", 4}}
data.raw.recipe["speed-module-3"].ingredients = {{"speed-module-2", 4},{"advanced-circuit", 4},{"processing-unit", 4},{"alien-artifact", 3}}
data.raw.recipe["productivity-module-2"].ingredients = {{"productivity-module", 4}, {"processing-unit", 4}, {"advanced-circuit", 4}}
data.raw.recipe["productivity-module-3"].ingredients = {{"productivity-module-2", 4},{"advanced-circuit", 4},{"processing-unit", 4},{"alien-artifact", 3}}
data.raw.recipe["effectivity-module-2"].ingredients = {{"effectivity-module", 4}, {"processing-unit", 4}, {"advanced-circuit", 4}}
data.raw.recipe["effectivity-module-3"].ingredients = {{"effectivity-module-2", 4},{"advanced-circuit", 4},{"processing-unit", 4},{"alien-artifact", 3}}
data.raw.recipe["effectivity-module-3"].ingredients = {{"effectivity-module-2", 4},{"advanced-circuit", 4},{"processing-unit", 4},{"alien-artifact", 3}}
data.raw.recipe["railgun"].ingredients = {{"silicon", 15},{"copper-plate", 45},{"electronic-circuit", 10},{"advanced-circuit", 15},}
data.raw.recipe["railgun-dart"].ingredients = {{"battery", 3},{"copper-plate", 2},{"plastic-bar", 1}}

data.raw.recipe["electronic-circuit"].ingredients =
    {
      {"iron-plate", 1},
      {"copper-cable", 1}
    }
data.raw.recipe["copper-cable"].ingredients = {{"copper-plate", 3}}
data.raw.recipe["copper-cable"].energy_required = 1.5
data.raw.recipe["small-electric-pole"].ingredients =
    {
      {"wood", 2},
      {"copper-cable", 1}
    }
data.raw.recipe["advanced-circuit"].ingredients =
    {
      {"electronic-circuit", 2},
      {"plastic-bar", 2},
	  {"copper-cable", 2}
    }